## git-buildpackage 0.9.22ubuntu1

=== debian/changelog ===
git-buildpackage (0.9.22ubuntu1) hirsute; urgency=medium

  * tests/11_test_dch_main.py: Fix OS release check for Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Feb 2021 22:30:34 -0500
