=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  bash-completion (>= 1:2.1-4.2~),
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  docbook2x,
  flake8,
  gtk-doc-tools,
  libdistro-info-perl,
  perl,
  pydoctor,
- python3 (>= 3.5),
+ python3,
  python3-coverage,
  python3-dateutil,
  python3-mock,
@@ -39,6 +39,7 @@
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
+Rules-Requires-Root: no
 X-Python3-Version: >= 3.7
 
 Package: git-buildpackage
@@ -58,19 +59,20 @@
 Suggests: python3-notify2, unzip, sudo
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
-  * gbp buildpackage: build a package out of a git repository, check for local
+  * gbp buildpackage: build a package out of a Git repository, check for local
     modifications and tag appropriately
-  * gbp import-orig: import a new upstream version into the git repository
-  * gbp export-orig: export an upstream tarball from the git repository
-  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
+  * gbp import-orig: import a new upstream version into the Git repository
+  * gbp export-orig: export an upstream tarball from the Git repository
+  * gbp import-{dsc,dscs}: import existing Debian source packages into a Git
     repository
   * gbp dch: generate Debian changelog entries from Git commit messages
   * gbp {pull,clone}: clone and pull from remote repos
   * gbp pq: manage debian/patches easily
   * gbp create-remote-repo: create remote repositories
   * gbp push: push content to remote repositories
-  * gbp tag: tag a Debian package in git
+  * gbp tag: tag a Debian package in Git
   * gbp pristine-tar: create pristine-tar commits
+  * gbp setup-gitattributes: set up Git attributes to disable transformations
 
 Package: git-buildpackage-rpm
 Architecture: all
@@ -84,9 +86,9 @@
 Suggests: python3-notify, unzip, zipmerge, mock
 Description: Suite to help with RPM packages in Git repositories
  This package contains the following tools:
-  * gbp buildpackage-rpm: build a package out of a git repository, check for
+  * gbp buildpackage-rpm: build a package out of a Git repository, check for
     local modifications and tag appropriately
-  * gbp import-srpm: import existing RPM source packages into a git
+  * gbp import-srpm: import existing RPM source packages into a Git
     repository
   * gbp pq-rpm: manage patches easily
  .
