## git-buildpackage 0.9.26

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	$(MAKE) GBP_NETWORK_TESTS=1 all
 
 test:
+	export HOME=/nonexisting;                       \
 	export GIT_AUTHOR_NAME="Gbp Tests";		\
 	export GIT_AUTHOR_EMAIL=tests@example.com;	\
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
@@ -27,6 +28,6 @@
 
 apidocs:
 	mkdir -p build
-	pydoctor -v --config=.pydoctor.cfg
+	pydoctor -v gbp tests/doctests/
 
 .PHONY: docs
