=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	mkdir -p debian/git-buildpackage/$(PK4_DIR)
 	install -m755 debian/pk4 \
 		debian/git-buildpackage/$(PK4_DIR)/gbp
-	chmod a+x debian/tmp/usr/lib/python3.?/dist-packages/gbp/scripts/supercommand.py
+	chmod a+x debian/tmp/usr/lib/python3.*/dist-packages/gbp/scripts/supercommand.py
 
 override_dh_auto_clean:
 	dh_auto_clean
