=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  bash-completion (>= 1:2.1-4.2~),
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-bash-completion,
  dh-sequence-python3,
  docbook2x,
  flake8,
@@ -56,6 +57,7 @@
 Recommends: pristine-tar (>= 1.41),
  cowbuilder | pbuilder | sbuild,
  python3-requests
+Breaks: dgit (<< 9.16~)
 Suggests: python3-notify2, unzip, sudo
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
