=== debian/control ===
--- 
+++ 
@@ -17,12 +17,14 @@
  python3,
  python3-coverage,
  python3-dateutil,
+ python3-filelock,
  python3-mock,
  python3-nose,
  python3-nosexcover,
  python3-pkg-resources,
  python3-rpm,
  python3-setuptools,
+ python3-yaml,
  xsltproc,
 # For the testsuite
  bzip2 <!nocheck>,
@@ -53,6 +55,7 @@
  man-db,
  python3-dateutil,
  python3-pkg-resources,
+ python3-yaml,
  sensible-utils,
 Recommends: pristine-tar (>= 1.41),
  cowbuilder | pbuilder | sbuild,
