## git-buildpackage 0.9.30

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 all: syntax-check test
 
 all+net:
-	$(MAKE) GBP_NETWORK_TESTS=1 all
+	GBP_NETWORK_TESTS=1 $(MAKE) all
 
 test:
 	export HOME=/nonexisting;                       \
@@ -22,6 +22,9 @@
 	flake8 $(FLAKE_OPTS)
 	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)
 
+type-check:
+	mypy gbp
+
 docs:
 	$(MAKE) -C docs
 	$(MAKE) apidocs
