=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export WITHOUT_NOSETESTS=1
 
 %:
 	dh $@ --buildsystem=pybuild
