## git-buildpackage 0.9.33

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 all: syntax-check test
 
 all+net:
-	GBP_NETWORK_TESTS=0 $(MAKE) all
+	GBP_NETWORK_TESTS=1 $(MAKE) all
 
 test:
 	export HOME=/nonexisting;                       \
@@ -16,7 +16,7 @@
 	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
 	export DEBEMAIL=$$GIT_AUTHOR_EMAIL;             \
 	PYTHONPATH=.					\
-	#LC_ALL=$(TEST_LOCALE) python3 setup.py build #nosetests $(NOSE_OPTS)
+	LC_ALL=$(TEST_LOCALE) python3 setup.py nosetests $(NOSE_OPTS)
 
 syntax-check:
 	flake8 $(FLAKE_OPTS)
@@ -31,6 +31,5 @@
 
 apidocs:
 	mkdir -p build
-	#pydoctor -v gbp tests/doctests/
 
 .PHONY: docs
