=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
  gtk-doc-tools,
  libdistro-info-perl,
  perl,
-# pydoctor,
+ pydoctor,
  python3,
  python3-coverage,
  python3-dateutil,
  python3-filelock,
  python3-mock,
  python3-nose,
-# python3-nosexcover,
+ python3-nosexcover,
  python3-pkg-resources,
-# python3-rpm,
+ python3-rpm,
  python3-setuptools,
  python3-yaml,
  xsltproc,
@@ -30,9 +30,9 @@
  bzip2 <!nocheck>,
  cpio <!nocheck>,
  devscripts (>= 2.17.7~) <!nocheck>,
- git (>= 1:1.7.9.1-1~) <!nocheck>,
-# pristine-tar (>= 1.14) <!nocheck>,
-# rpm (>= 4.16.1) <!nocheck>,
+ git (>= 1:2.40.1) <!nocheck>,
+ pristine-tar (>= 1.14) <!nocheck>,
+ rpm (>= 4.16.1) <!nocheck>,
  unzip <!nocheck>,
  zipmerge <!nocheck>,
 # For the network tests
@@ -51,7 +51,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  devscripts (>= 2.13.5~),
- git (>= 1:1.7.9.1-1~),
+ git (>= 1:2.40.1-1),
  man-db,
  python3-dateutil,
  python3-pkg-resources,
