=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
-
-export WITHOUT_NOSETESTS=1
 
 %:
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	make
+endif
 
 execute_after_dh_auto_build:
 	make docs
