## git-buildpackage 0.9.34

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,10 @@
 FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
 NOSE_OPTS=--with-xcoverage
 TEST_LOCALE?=C.UTF-8
+
+SH_SCRIPTS = \
+  packaging/run-in-container \
+  $(NULL)
 
 all: syntax-check test
 
@@ -25,6 +29,13 @@
 type-check:
 	mypy gbp
 
+shell-check:
+	@echo "# Validating zsh completion"
+	zsh debian/zsh/_gbp
+	@echo "# Validating bash completion"
+	shellcheck --shell=bash debian/git-buildpackage.bash-completion
+	shellcheck $(SH_SCRIPTS)
+
 docs:
 	$(MAKE) -C docs
 	$(MAKE) apidocs
