=== debian/control ===
--- 
+++ 
@@ -38,6 +38,9 @@
 # For the network tests
  curl <!nocheck>,
  python3-requests <!nocheck>,
+# For shell validation
+ shellcheck <!nocheck>,
+ zsh <!nocheck>,
 Standards-Version: 4.6.1
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
